package org.springblade.third.iotdevice.entity;

import lombok.Data;
import org.springblade.common.beans.ApiResultBean;

import java.io.Serializable;
import java.util.Map;

/**
 * @author lidexi
 * @date 2021/6/3 10:16
 */
@Data
public class PepApiResultBean<T> implements Serializable {
	/**
	 * 响应状态
	 */
	private Integer code;

	/**
	 * 响应信息描述
	 */
	private String msg;

	/**
	 * 响应对象
	 */
	private T data;

	private IotAuthentication content;

	private Map<String, Object> status;

	public static PepApiResultBean ok(){
		PepApiResultBean apiResultBean = new PepApiResultBean();
		apiResultBean.setCode(0);
		apiResultBean.setMsg("成功");
		return apiResultBean;
	}
}
